Update filing
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/probate/filings/{filing_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"filed_date": "2023-12-25",
"filed_by": "<string>",
"court_response_date": "2023-12-25",
"court_notes": "<string>",
"document_id": "<string>",
"fees_paid": 123
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/probate/filings/{filing_id}"
payload = {
"title": "<string>",
"description": "<string>",
"filed_date": "2023-12-25",
"filed_by": "<string>",
"court_response_date": "2023-12-25",
"court_notes": "<string>",
"document_id": "<string>",
"fees_paid": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
filed_date: '2023-12-25',
filed_by: '<string>',
court_response_date: '2023-12-25',
court_notes: '<string>',
document_id: '<string>',
fees_paid: 123
})
};
fetch('https://api.example.com/v1/cases/{case_id}/probate/filings/{filing_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K7FL03IJ7T44HRYE78AN7NOP",
"filing_type": "petition",
"title": "Petition for Informal Probate",
"description": "<string>",
"filed_date": "2023-12-25",
"filed_by": "John Doe (Executor)",
"court_response": "pending",
"court_response_date": "2023-12-25",
"court_notes": "<string>",
"document_id": "<string>",
"fees_paid": 360,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Probate Filings
Update filing
Update a court filing record.
PATCH
/
cases
/
{case_id}
/
probate
/
filings
/
{filing_id}
Update filing
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
petition, inventory, accounting, notice, motion, order, waiver, affidavit, deed, other Available options:
accepted, rejected, pending Response
Filing updated.
Show child attributes
Show child attributes
⌘I

